package de.effigenix.infrastructure.production.persistence.entity;

import jakarta.persistence.*;

import java.time.LocalDate;

@Entity
@Table(name = "batch_number_sequences")
public class BatchNumberSequenceEntity {

    @Id
    @Column(name = "production_date", nullable = false)
    private LocalDate productionDate;

    @Column(name = "last_sequence", nullable = false)
    private int lastSequence;

    protected BatchNumberSequenceEntity() {
    }

    public BatchNumberSequenceEntity(LocalDate productionDate, int lastSequence) {
        this.productionDate = productionDate;
        this.lastSequence = lastSequence;
    }

    public LocalDate getProductionDate() {
        return productionDate;
    }

    public int getLastSequence() {
        return lastSequence;
    }

    public void setLastSequence(int lastSequence) {
        this.lastSequence = lastSequence;
    }
}
